/*#######################################################################################
AVR Small Webserver 

Copyright (C) 2004 Ulrich Radig

#######################################################################################*/

#include "main.h"
#include "uart.h"

//############################################################################
//Routine fr die Serielle Ausgabe
int uart_putchar (char c, FILE *f)
//############################################################################
{
	//wait until UART buffer is empty
	loop_until_bit_is_set(USR, UDRE);
	//Ausgabe des Zeichens
	UDR = c;
	return (0);
}

//############################################################################
//INstallation der Seriellen Schnittstelle
void UART_Init (void)
//############################################################################
{
	//Enable TXEN im Register UCR TX-Data Enable
	UCR=(1 << TXEN);
	//Teiler wird gesetzt 
	UBRR=(F_CPU / (BAUD_RATE * 16L) - 1);
	
	fdevopen (uart_putchar, 0);
}

